Bug 1255737 - ghc-vector ABI hash changed for f23 aarch64
ghc-vector ABI hash changed for f23 aarch64
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc-vector (Show other bugs)
23
aarch64 Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2015-08-21 08:26 EDT by Peter Robinson
Modified: 2015-09-03 23:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.10.10-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 23:23:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-08-21 08:26:32 EDT
It was thought that rebuilding ghc-vector would fix the hash issues on aarch64. It appears not. 

DEBUG util.py:378:  Getting requirements for gtk2hs-buildtools-0.13.0.4-1.fc23.src
DEBUG util.py:378:   --> alex-3.1.4-2.fc23.aarch64
DEBUG util.py:378:   --> ghc-Cabal-devel-1.18.1.5-46.fc23.aarch64
DEBUG util.py:378:   --> ghc-array-devel-0.5.0.0-46.fc23.aarch64
DEBUG util.py:378:   --> ghc-containers-devel-0.5.5.1-46.fc23.aarch64
DEBUG util.py:378:   --> ghc-directory-devel-1.2.1.0-46.fc23.aarch64
DEBUG util.py:378:   --> ghc-filepath-devel-1.3.0.2-46.fc23.aarch64
DEBUG util.py:378:   --> ghc-hashtables-devel-1.1.2.1-2.fc23.aarch64
DEBUG util.py:378:   --> ghc-pretty-devel-1.1.1.1-46.fc23.aarch64
DEBUG util.py:378:   --> ghc-process-devel-1.2.0.0-46.fc23.aarch64
DEBUG util.py:378:   --> ghc-random-devel-1.0.1.1-30.fc23.aarch64
DEBUG util.py:378:   --> ghc-rpm-macros-1.4.15-3.fc23.aarch64
DEBUG util.py:378:   --> happy-1.19.5-3.fc23.aarch64
DEBUG util.py:378:  Error: Package: ghc-hashtables-1.1.2.1-2.fc23.aarch64 (build)
DEBUG util.py:378:             Requires: ghc(vector-0.10.9.1-141b8608a457666e762b17e65827314c)
DEBUG util.py:378:  Error: Package: ghc-hashtables-devel-1.1.2.1-2.fc23.aarch64 (build)
DEBUG util.py:378:             Requires: ghc-devel(vector-0.10.9.1-141b8608a457666e762b17e65827314c)
DEBUG util.py:378:   You could try using --skip-broken to work around the problem
DEBUG util.py:378:   You could try running: rpm -Va --nofiles --nodigest
Comment 1 Jens Petersen 2015-08-26 05:31:49 EDT
I guess one question is: is it still possible to reproduce the above old
ABI hash (ghc-vector-0.10.9.1-1.fc22) sometimes when building ghc-vector
for aarch64?

Both ghc-vector-0.10.9.1-2.fc23 and ghc-vector-0.10.9.1-3.fc23
provide ghc(vector-0.10.9.1-34f56500c95b94cf9d44532097ee0c58).

Vector is used by about 30 packages in Fedora.
Comment 4 Jens Petersen 2015-08-27 06:16:54 EDT
The new hash seems stable so far.

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3143436

The main thing changed between the builds is ghc I guess:

* Thu Jun 11 2015 Jens Petersen <petersen@fedoraproject.org> - 7.8.4-45
- use ld.gold on aarch64 like for armv7 (Erik de Castro Lopo, #1195231)

* Wed Apr 22 2015 Jens Petersen <petersen@redhat.com> - 7.8.4-44
- turn on SMP and ghci for aarch64 (Erik de Castro Lopo, #1203951)

Though in principle neither should affect the ABI think?
Dunno if it is some other part of the toolchain.


Anyway currently I see no choice but to rebuild the 30 packages above that consume ghc-vector... ;-(

(Given that they are uninstallable on aarch64 I don't see the problem
with rebuilding the NVRs just for aarch64 but i guess we have to follow
the rules: wouldn't want to make life easy on ourselves.;)
But maybe it is easier anyway to let shadowbuild handle it all anyway. :)
Comment 5 Peter Robinson 2015-08-27 07:18:12 EDT
> Anyway currently I see no choice but to rebuild the 30 packages above that
> consume ghc-vector... ;-(

Which 30? What NVRs, if the the latest NVRs have already been built on aarch64 we need them bumped and built on mainline and submitted as updates.
Comment 6 Jens Petersen 2015-08-28 01:51:00 EDT
Do you have a list of packages that are currently failing to build or install?

(The number 30 I just got trying to run "rpm -e ghc-vector" on my f22 laptop.)
Comment 7 Peter Robinson 2015-08-28 03:31:04 EDT
(In reply to Jens Petersen from comment #6)
> Do you have a list of packages that are currently failing to build or
> install?
> 
> (The number 30 I just got trying to run "rpm -e ghc-vector" on my f22
> laptop.)

So dependencies. See the issue above, do we need to rebuild ghc-hashtables then in that example?
Comment 8 Fedora Update System 2015-08-31 20:53:44 EDT
ghc-hashtables-1.1.2.1-3.fc23 ghc-aeson-0.8.0.2-3.fc23 ghc-yaml-0.8.10-3.fc23 ghc-dbus-0.10.10-3.fc23 ghc-pandoc-types-1.12.4.1-3.fc23 ghc-JuicyPixels-3.2.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14721
Comment 9 Fedora Update System 2015-09-01 06:04:13 EDT
ghc-JuicyPixels-3.2.2-3.fc23, ghc-aeson-0.8.0.2-3.fc23, ghc-dbus-0.10.10-3.fc23, ghc-hashtables-1.1.2.1-3.fc23, ghc-pandoc-types-1.12.4.1-3.fc23, ghc-yaml-0.8.10-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ghc-JuicyPixels ghc-pandoc-types ghc-aeson ghc-hashtables ghc-dbus ghc-yaml'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14721
Comment 10 Fedora Update System 2015-09-01 09:02:15 EDT
pandoc-1.13.2-4.fc23 ghc-texmath-0.8.0.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14762
Comment 11 Fedora Update System 2015-09-01 16:22:18 EDT
ghc-texmath-0.8.0.1-4.fc23, pandoc-1.13.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pandoc ghc-texmath'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14762
Comment 12 Fedora Update System 2015-09-03 23:23:50 EDT
ghc-texmath-0.8.0.1-4.fc23, pandoc-1.13.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-03 23:23:59 EDT
ghc-JuicyPixels-3.2.2-3.fc23, ghc-aeson-0.8.0.2-3.fc23, ghc-dbus-0.10.10-3.fc23, ghc-hashtables-1.1.2.1-3.fc23, ghc-pandoc-types-1.12.4.1-3.fc23, ghc-yaml-0.8.10-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.